跳转到正文
皓量云擎文档
接口参考平台设置与数据备份

读取公开的平台名称与 Logo

GET /api/v1/platform/branding,getPlatformBranding 的请求参数和响应结构。

GET /api/v1/platform/branding

项目内容
操作标识getPlatformBranding
认证无需用户登录

响应

HTTP 状态含义
200成功
503平台设置数据库不可用
200 · application/json 响应结构
字段类型必填说明与约束
dataPlatformBranding是—
request_idstring是—
{
  "$ref": "#/$defs/PlatformBrandingResponse",
  "$defs": {
    "PlatformBrandingResponse": {
      "type": "object",
      "required": [
        "data",
        "request_id"
      ],
      "properties": {
        "data": {
          "$ref": "#/$defs/PlatformBranding"
        },
        "request_id": {
          "type": "string"
        }
      }
    },
    "PlatformBranding": {
      "type": "object",
      "additionalProperties": false,
      "required": [
        "platform_name",
        "logo_url",
        "copyright",
        "theme_color"
      ],
      "properties": {
        "platform_name": {
          "type": "string",
          "minLength": 1,
          "maxLength": 64
        },
        "logo_url": {
          "type": "string",
          "nullable": true,
          "description": "同源 Logo 地址;null 使用内置 Logo"
        },
        "copyright": {
          "type": "string",
          "maxLength": 256,
          "description": "底部版权文字,空字符串显示平台名称"
        },
        "theme_color": {
          "type": "string",
          "pattern": "^#[0-9A-Fa-f]{6}$",
          "description": "平台统一主题色"
        }
      }
    }
  }
}
503 · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录